]> arthur.barton.de Git - netdata.git/blobdiff - plugins.d/charts.d.dryrun-helper.sh
dns_query_time plugin: added
[netdata.git] / plugins.d / charts.d.dryrun-helper.sh
index 3d0bcb3732261e25eb558f439a6780a73c919366..8142f9882b6aa79573d45eb744ba04496f9a0085 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env bash
 
 # will stop the script for any error
 set -e
@@ -10,11 +10,11 @@ conf="$3"
 
 can_diff=1
 
-tmp1=`mktemp`
-tmp2=`mktemp`
+tmp1="`mktemp`"
+tmp2="`mktemp`"
 
 myset() {
-       set | grep -v "^_="     | grep -v "^PIPESTATUS=" | grep -v "^BASH_LINENO="
+    set | grep -v "^_=" | grep -v "^PIPESTATUS=" | grep -v "^BASH_LINENO="
 }
 
 # save 2 'set'
@@ -25,9 +25,9 @@ myset >"$tmp2"
 diff "$tmp1" "$tmp2" >/dev/null 2>&1
 if [ $? -ne 0 ]
 then
-       # they differ, we cannot do the check
-       echo >&2 "$me: cannot check with diff."
-       can_diff=0
+    # they differ, we cannot do the check
+    echo >&2 "$me: cannot check with diff."
+    can_diff=0
 fi
 
 # do it again, now including the script
@@ -36,21 +36,21 @@ myset >"$tmp1"
 # include the plugin and its config
 if [ -f "$conf" ]
 then
-       . "$conf"
-       if [ $? -ne 0 ]
-       then
-               echo >&2 "$me: cannot load config file $conf"
-               rm "$tmp1" "$tmp2"
-               exit 1
-       fi
+    . "$conf"
+    if [ $? -ne 0 ]
+    then
+        echo >&2 "$me: cannot load config file $conf"
+        rm "$tmp1" "$tmp2"
+        exit 1
+    fi
 fi
 
 . "$chart"
 if [ $? -ne 0 ]
 then
-       echo >&2 "$me: cannot load chart file $chart"
-       rm "$tmp1" "$tmp2"
-       exit 1
+    echo >&2 "$me: cannot load chart file $chart"
+    rm "$tmp1" "$tmp2"
+    exit 1
 fi
 
 # remove all variables starting with the plugin name
@@ -58,15 +58,15 @@ myset | grep -v "^$name" >"$tmp2"
 
 if [ $can_diff -eq 1 ]
 then
-       # check if they are different
-       # make sure they don't differ
-       diff "$tmp1" "$tmp2" >&2
-       if [ $? -ne 0 ]
-       then
-               # they differ
-               rm "$tmp1" "$tmp2"
-               exit 1
-       fi
+    # check if they are different
+    # make sure they don't differ
+    diff "$tmp1" "$tmp2" >&2
+    if [ $? -ne 0 ]
+    then
+        # they differ
+        rm "$tmp1" "$tmp2"
+        exit 1
+    fi
 fi
 
 rm "$tmp1" "$tmp2"